/*
 * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 *
 * This  file is generated from a m4 source file. Do not
 * modify this file.
 */

#ifndef _DHCP_SVC_CONFKEY_H
#define	_DHCP_SVC_CONFKEY_H

#pragma ident	"%Z%%M%	%I%	%E% SMI"

#ifdef	__cplusplus
extern "C" {
#endif

/* Definitions for valid config file parameters */
#define	DSVC_CK_DAEMON_ENABLED	"DAEMON_ENABLED"
#define	DSVC_CK_RUN_MODE	"RUN_MODE"
#define	DSVC_CK_VERBOSE	"VERBOSE"
#define	DSVC_CK_RELAY_HOPS	"RELAY_HOPS"
#define	DSVC_CK_INTERFACES	"INTERFACES"
#define	DSVC_CK_ICMP_VERIFY	"ICMP_VERIFY"
#define	DSVC_CK_OFFER_CACHE_TIMEOUT	"OFFER_CACHE_TIMEOUT"
#define	DSVC_CK_RESCAN_INTERVAL	"RESCAN_INTERVAL"
#define	DSVC_CK_LOGGING_FACILITY	"LOGGING_FACILITY"
#define	DSVC_CK_BOOTP_COMPAT	"BOOTP_COMPAT"
#define	DSVC_CK_RELAY_DESTINATIONS	"RELAY_DESTINATIONS"
#define	DSVC_CK_RESOURCE	"RESOURCE"
#define	DSVC_CK_RESOURCE_CONFIG	"RESOURCE_CONFIG"
#define	DSVC_CK_NSU_TIMEOUT	"UPDATE_TIMEOUT"
#define	DSVC_CK_PATH	"PATH"
#define	DSVC_CK_CONVER	"CONVER"
#define	DSVC_CK_HOSTS_RESOURCE	"HOSTS_RESOURCE"
#define	DSVC_CK_HOSTS_DOMAIN	"HOSTS_DOMAIN"
#define	DSVC_CK_MAX_THREADS	"MAX_THREADS"
#define	DSVC_CK_MAX_CLIENTS	"MAX_CLIENTS"
#define	DSVC_CK_LEASE_MIN_LRU	"LEASE_MIN_LRU"
#define	DSVC_CK_CACHE_TIMEOUT	"CACHE_TIMEOUT"
#define	DSVC_CK_RENOG_INTERVAL	"SECONDARY_SERVER_TIMEOUT"
#define	DSVC_CK_OWNER_IP	"OWNER_IP"

/* Definitions for DEBUG config file parameters */
#define	DSVC_CK_DBG_PORT_OFFSET	"DEBUG_PORT_OFFSET"
#define	DSVC_CK_DBG_MEMORY_NET	"DEBUG_MEMORY_NET"

/* Definitions for valid HOSTS_RESOURCE settings */
#define	DSVC_CV_NISPLUS	"nisplus"
#define	DSVC_CV_FILES	"files"
#define	DSVC_CV_DNS	"dns"

/* Definitions for valid BOOTP_COMPAT settings */
#define	DSVC_CV_AUTOMATIC	"automatic"
#define	DSVC_CV_MANUAL	"manual"

/* Definitions for valid LOGGING_FACILITY settings */
#define	DSVC_CV_LOGGING_FACILITY_MIN	0
#define	DSVC_CV_LOGGING_FACILITY_MAX	7

/* Definitions for valid RUN_MODE settings */
#define	DSVC_CV_RELAY	"relay"
#define	DSVC_CV_SERVER	"server"

/* Definitions for valid boolean values */
#define	DSVC_CV_TRUE	"TRUE"
#define	DSVC_CV_FALSE	"FALSE"

/* Definitions for server config for unspecified options */
#define	DSVC_CV_HOPS	4
#define	DSVC_CV_OFFER_TTL	10
#define	DSVC_CV_CACHE_TTL	10
#define	DSVC_CV_NSU_TO	15
#define	DSVC_CV_MIN_LRU	60
#define	DSVC_CV_RENOG_INT	20

/* Definitions for server config for DEBUG options */
#define	DSVC_CV_DBG_PORT_OFFSET	0

#ifdef	__cplusplus
}
#endif

#endif	/* !_DHCP_SVC_CONFKEY_H */
